TIFFFIELDDATATYPE(3tiff)

NAME
TIFFFieldDataType - get TIFF data type from field information

SYNOPSIS

        #include <tiffio.h>

    TIFFDataType TIFFFieldDataType(const TIFFField *fip)

DESCRIPTION

TIFFFieldDataType() returns the data type stored in a TIFF field. fip is a field information pointer previously returned by TIFFFindField(), TIFFFieldWithTag(), or TIFFFieldWithName().

RETURN VALUES

TIFFFieldDataType() returns a member of the enum type TIFFDataType.

SEE ALSO

libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2022, LibTIFF contributors